FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 02-07-2009, 01:54 AM
"Sridhar M.A."
 
Default Cannot compile gspca

Hello,

I have installed linux-image-2.6.28-1-686 from the kernel trunk and the
corresponding header files (after building linux-kbuild from source).
Everything works fine except my webcam. The webcam works perfectly under
the kernel 2.6.26-1-686 from debian/testing.

I have downloaded the gspca-source and when I try to compile, I get the
following error (tried make as well as m-a) :

make -C /lib/modules/`uname -r`/build SUBDIRS=/usr/src/modules/gspca
CC=cc modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.28-1-686'
CC [M] /usr/src/modules/gspca/gspca_core.o
/usr/src/modules/gspca/gspca_core.c:54:27: error: asm/semaphore.h: No
such file or directory
/usr/src/modules/gspca/gspca_core.c: In function ‘spca5xx_ioctl’:
/usr/src/modules/gspca/gspca_core.c:2463: error: implicit declaration
of function ‘video_usercopy’
/usr/src/modules/gspca/gspca_core.c: At top level:
/usr/src/modules/gspca/gspca_core.c:2609: error: unknown field ‘owner’
specified in initializer
/usr/src/modules/gspca/gspca_core.c:2609: warning: initialization from
incompatible pointer type
/usr/src/modules/gspca/gspca_core.c:2611: error: unknown field ‘type’
specified in initializer
/usr/src/modules/gspca/gspca_core.c: In function
‘spca50x_create_sysfs’:
/usr/src/modules/gspca/gspca_core.c:2769: error: implicit declaration
of function ‘video_device_create_file’
/usr/src/modules/gspca/gspca_core.c:2780: error: implicit declaration
of function ‘video_device_remove_file’
/usr/src/modules/gspca/gspca_core.c: In function ‘spca5xx_probe’:
/usr/src/modules/gspca/gspca_core.c:4301: error: incompatible types in
assignment
make[2]: *** [/usr/src/modules/gspca/gspca_core.o] Error 1
make[1]: *** [_module_/usr/src/modules/gspca] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.28-1-686'
make: *** [default] Error 2

Anybody has a fix for this or any pointers?

Regards,

--
Sridhar M.A. GPG KeyID : F6A35935
Fingerprint: D172 22C4 7CDC D9CD 62B5 55C1 2A69 D5D8 F6A3 5935

Practice yourself what you preach.
-- Titus Maccius Plautus


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 02-07-2009, 08:18 AM
Brad Sawatzky
 
Default Cannot compile gspca

On Sat, 07 Feb 2009, Sridhar M.A. wrote:

> I have installed linux-image-2.6.28-1-686 from the kernel trunk and the
> corresponding header files (after building linux-kbuild from source).
> Everything works fine except my webcam. The webcam works perfectly under
> the kernel 2.6.26-1-686 from debian/testing.
>
> I have downloaded the gspca-source and when I try to compile, I get the
> following error (tried make as well as m-a) :
[ . . . ]

The gspca driver is merged into the mainline kernel for 2.6.27 and up. Use
'make xconfig' to enable it, delete /usr/src/modules/gspca/ if it exists,
then rebuild and install the kernel package.

There is an API change though[*]. You'll need to install the 'libv4l-0'
compatibility package (backport if you're running etch) and use the
following wrapper:

---------- cut here -----------
#! /bin/bash
# Needed for gspca in kernel 2.6.27 and up
# See http://moinejf.free.fr/gspca_README.txt
# This requires the libv4l-0 debian package (which contains the compat lib
# below).

exe=`basename "$0"`
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so "/usr/bin/${exe}"
---------- cut here -----------

Save the script as $HOME/bin/fix_webcam_app and then symlink your webcam
programs to it. For example
% ln -s $HOME/bin/fix_webcam_app $HOME/bin/effectv
% ln -s $HOME/bin/fix_webcam_app $HOME/bin/camstream
or whatever. (The script obviously assumes the original binary lies in
/usr/bin/ and will fail, modify to taste.)
[*] I still run Debian Etch. Maybe everything has been recompiled for the
new API and works out of the box with Lenny? YMMV.

-- Brad


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 02-07-2009, 01:53 PM
"Sridhar M.A."
 
Default Cannot compile gspca

On Sat, Feb 07, 2009 at 04:18:13AM -0500, Brad Sawatzky wrote:
>
> The gspca driver is merged into the mainline kernel for 2.6.27 and up. Use
> 'make xconfig' to enable it, delete /usr/src/modules/gspca/ if it exists,
> then rebuild and install the kernel package.
>
The gspca drivers included in the kernel do not function. I tried them
first and only after it failed did I try the gspca-source.

> # See http://moinejf.free.fr/gspca_README.txt

In fact I have even tried compiling the stuff from

http://linuxtv.org/hg/~jfrancois/gspca

as mentioned in the above README. It did not work. I suspect some
forgotten steps from my side. I will try again and post back.

Thanks for your reply.

Regards,

--
Sridhar M.A. GPG KeyID : F6A35935
Fingerprint: D172 22C4 7CDC D9CD 62B5 55C1 2A69 D5D8 F6A3 5935

"...Unix, MS-DOS, and Windows NT (also known as the Good, the Bad, and
the Ugly)."
(By Matt Welsh)
 

Thread Tools




All times are GMT. The time now is 10:09 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org